Subject: bug#50237: 28.0.50; [calc] Default terminal when plotting in gnuplot without x11 support

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 01 Sep 2021 10:06:42 +0200

Ihor Radchenko <[email-masked]> writes:

>> OK; I've now pushed a fix for this to Emacs 28 which seems to work in my
>> simulated test case.  Can you update Emacs and see whether it works for
>> you, too?
>
> Thanks! I cannot reproduce my recipe anymore on master. The dumb
> terminal is correctly used.

Thanks for testing; I'm closing the bug report, then.

> However, I am not sure if your fix is going to work on gnuplot ver. <3.
> calc-graph-plot has the following lines:
>
> ((>= calc-gnuplot-version 3)
> 		     "dumb")
>
> In theory, if someone is still using such an antique gnuplot version and
> also compiled it without x11 support, "dumb" terminal may not be a good
> fallback. It is very unlikely though.

Yeah, I think so.  (And it doesn't make the situation worse, at least.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no